## Scan DNS Records `client.dns.records.scan(RecordScanParamsparams, RequestOptionsoptions?): RecordScanResponse` **post** `/zones/{zone_id}/dns_records/scan` Scan for common DNS records on your domain and automatically add them to your zone. Useful if you haven't updated your nameservers yet. ### Parameters - `params: RecordScanParams` - `zone_id: string` Path param: Identifier. - `body: unknown` Body param ### Returns - `RecordScanResponse` - `recs_added?: number` Number of DNS records added. - `total_records_parsed?: number` Total number of DNS records parsed. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.dns.records.scan({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', body: {}, }); console.log(response.recs_added); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "recs_added": 5, "total_records_parsed": 5 } } ```